#---------------------------------------------------------------------------------------------
#configuraciones propias de la ETL variables
#---------------------------------------------------------------------------------------------

#Rutas
ruta_fichero_parametros_comunes=/opt/etls/sc_vlci/{ENV}/DelTSOL_Valencia.properties
etl_process_dir_tmp=/opt/etls/sc_vlci/{ENV}/tmp/etl_sanitat_ind_covid
ruta_fichero_log=/var/log/etls/sc_vlci/{ENV}/etl_sanitat_ind_covid.log
file_error_insert_cb=Error_Insert_CB.csv


#URLs Datos Abiertos
url_package_search=https://dadesobertes.gva.es/api/3/action/package_search
url_datastore_search=https://dadesobertes.gva.es/es/api/3/action/datastore_search
url_package_search_parameter=q
url_datastore_search_parameter=resource_id
package_id_municipios=id:5403e057-5b64-4347-ae44-06fa7a65e1b8
package_id_departamentos=id:dbb75cc2-305b-415d-947a-da4102aa812c
package_id_diarios_acumulados=id:385d7d96-693b-4361-a00f-4e72b30a3695

#Gestion de Fechas
query_fecha_negocio_etls=SELECT etl_id FROM t_d_fecha_negocio_etls where etl_nombre=
query_etl_name_municipios='VLCI_ETL_SANITAT_IND_COVID_municipios'
query_etl_name_departamentos='VLCI_ETL_SANITAT_IND_COVID_departamentos'
query_etl_name_diarios_acumulados='VLCI_ETL_SANITAT_IND_COVID_diarios_acumulados'
pattern_resource_date=\\d{4}-\\d{2}-\\d{2}
pattern_header_date=\\d{2}\/\\d{2}\/\\d{4}

#Get Data
url_municipios=/municipios/
url_departamentos=/departamentos/
file_base_municipios=resource_municipios_
file_base_departamentos=resource_departamentos_
url_diarios_acumulados=/diarios_acumulados/
file_base_diarios_acumulados=resource_diarios_acumulados_

#Process Data
entityid_json_array_mapper_diarios_acumulados=[\
    {"pattern": "confirmados desde el inicio","id":"is-san-021-cv-total-casos-acumulado"},\
    {"pattern":"PCR+","id":"is-san-022-cv-pcr-positivas-acumulado"},\
    {"pattern":"incluyendo","id":"is-san-023-cv-hospitalizados-diario"},\
    {"pattern":"en UCI","id":"is-san-024-cv-casos-en-uci-diario"},\
    {"pattern":"alta","id":"is-san-025-cv-altas-epidemiologicas-acumulado"},\
    {"pattern":"fallecidos","id":"is-san-026-cv-fallecidos-acumulado"}\
]
description_header_diarios_acumulados=Actualizaci\u00f3 di\u00e0ria
nombre_header_diarios_acumulados=Actualizaci\u00f3 di\u00e0ria

#Default Attribute Values
attr_operationalStatus_default=ok

#Configuracion IOT
url_insert_cb=/v2/entities/#entidad#/attrs

#Configuracion SEND MAIL 
send_mail_to=integracionvlci@valencia.es
